=== debian/changelog ===
socket-wrapper (1.1.3-2) unstable; urgency=low

  * Define PATH_MAX on Hurd.
  * Wait more for test_srv during tests (closes: #787572).
  * Make watch file more generic.
  * Update debhelper level to 9 .
  * Upload to unstable.
  * New maintainer (closes: #770374).

  [ Jakub Wilk <jwilk@debian.org> ]
  * Add patch (reproducible-manpage.diff) to make the builds reproducible
    (closes: #782863). Thanks to Jelmer Vernooij for the bug report and the
    patch.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 04 Jun 2015 20:02:03 +0000

socket-wrapper (1.1.3-1) experimental; urgency=low

  * New upstream release:
    + Add support for address sanitizer.
    + Fix leaking of memory and fds of stale sockets.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 24 Feb 2015 22:31:00 +0100

socket-wrapper (1.1.2-1) experimental; urgency=low

  * New upstream release:
    + Add support for fnctl(F_DUPFD).
    + Add support for glibc 2.20.90.
  * Rebuild the nss_wrapper manpage from source:
    + Add asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl to
      Build-Depends.
    + Add the manpage to extend-diff-ignore in debian/source/options.
    + Run a2x in debian/rules.
  * Bump standards version to 3.9.6 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 29 Oct 2014 22:54:38 +0100

socket-wrapper (1.1.1-1) experimental; urgency=low

  * New upstream release:
    + Disable incomplete address in use check in bind().
    + Add support for IP_PKTINFO in recvmsg().
    + Add support for IPV6_PKTINFO in recvmsg().
    + Add support for IP_RECVDSTADDR in recvmsg() on BSD.
    + Add support for more socket options in getsockopt().
    + Add support for bindresvport().
    + Fix rebinding on connect().
    + Fix sockaddr buffer truncation in getsockname() and getpeername().
    + Fix special cases in bind().
  * Drop libc-so.diff, applied upstream.
  * Refresh no-soname.diff.
  * Bump minimum required version of libcmocka-dev to 0.4.1.
  * Update debian/copyright.
  * Enable parallel compilation.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 16 Jun 2014 10:54:45 +0200

socket-wrapper (1.0.2-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add patch (libc-so.diff) to use the LIBC_SO macro to discover libc SONAME.
    Thanks to Pino Toscano.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 01 Jun 2014 00:05:00 +0200

socket-wrapper (1.0.1-1) experimental; urgency=low

  * Initial release (closes: #746240).
  * libsocket_wrapper is a preloadable library. We do not support directly
    linking to it, so it doesn't need the SONAME. Add patch (no-soname.diff)
    to remove it.
  * Add Lintian override for sharedobject-in-library-directory-missing-soname.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 01 May 2014 19:05:38 +0200
