=== doc/CMakeLists.txt ===
install(FILES
            socket_wrapper.1
        DESTINATION
            ${MAN_INSTALL_DIR}/man1)
