=== debian/changelog ===
socket-wrapper (1.1.5-1) unstable; urgency=low

  * New upstream release.
  * Remove reproducible-manpage.diff as applied upstream.
  * Update patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Jan 2016 20:03:08 +0100
