=== debian/watch ===
version=3
https://ftp.samba.org/pub/cwrap/ socket_wrapper-v?([\d.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
