## socket-wrapper 1.1.6

=== debian/changelog ===
socket-wrapper (1.1.6-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Mar 2016 18:39:01 +0000
