=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libcmocka-dev (>= 0.4.1),
  asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 
 Package: libsocket-wrapper
 Architecture: any
