## socket-wrapper 1.1.7

=== debian/changelog ===
socket-wrapper (1.1.7-2) unstable; urgency=medium

  * Tighten CMocka build dependency (closes: #858885).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 28 Mar 2017 19:18:47 +0000

socket-wrapper (1.1.7-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 May 2016 20:26:14 +0000
