=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  debhelper (>= 9),
  dh-buildinfo,
  cmake (>= 2.8.8-3~),
- libcmocka-dev (>= 0.4.1),
+ libcmocka-dev (>= 1.0.1),
  asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 
 Package: libsocket-wrapper
 Architecture: any
