=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -16,10 +16,14 @@
 add_library(${TORTURE_LIBRARY} STATIC torture.c)
 target_link_libraries(${TORTURE_LIBRARY}
     ${CMOCKA_LIBRARY}
-    ${SWRAP_REQUIRED_LIBRARIES})
+    ${SWRAP_REQUIRED_LIBRARIES}
+    ${CMAKE_THREAD_LIBS_INIT})
 
 set(SWRAP_TESTS
     test_ioctl
+    test_tcp_listen
+    test_tcp_dup2
+    test_fcntl
     test_echo_tcp_socket
     test_echo_tcp_connect
     test_echo_tcp_bind
@@ -31,7 +35,9 @@
     test_echo_udp_sendto_recvfrom
     test_echo_udp_send_recv
     test_echo_udp_sendmsg_recvmsg
-    test_swrap_unit)
+    test_swrap_unit
+    test_max_sockets
+    test_close_failure)
 
 if (HAVE_STRUCT_MSGHDR_MSG_CONTROL)
     set(SWRAP_TESTS ${SWRAP_TESTS} test_sendmsg_recvmsg_fd)
