=== debian/changelog ===
socket-wrapper (1.1.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * Disable wait_more_for_server patch for now, upstream increased startup
    checking time.
  * Update Standards-Version to 4.1.1 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Nov 2017 17:43:36 +0000
