=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-buildinfo,
  cmake (>= 2.8.8-3~),
  libcmocka-dev (>= 1.0.1),
  asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 
 Package: libsocket-wrapper
 Architecture: any
