=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://ftp.samba.org/pub/cwrap/ socket_wrapper-v?([\d.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
