## socket-wrapper 1.1.9+ds

=== debian/changelog ===
socket-wrapper (1.1.9+ds-1) unstable; urgency=medium

  * New upstream release (closes: #894796).
  * Update Standards-Version to 4.1.3 .
  * Update debhelper level to 11 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Apr 2018 16:52:41 +0000
