=== debian/changelog ===
socket-wrapper (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Nov 2018 19:23:39 +0000
