=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libcmocka-dev (>= 1.0.1),
  asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
 XS-Testsuite: autopkgtest
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 
 Package: libsocket-wrapper
 Architecture: any
