=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+include /usr/share/dpkg/architecture.mk
 
 cflags = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 ldflags = $(shell dpkg-buildflags --get LDFLAGS)
@@ -43,9 +49,11 @@
 	dh_testroot
 	dh_prep
 	$(MAKE) -C obj/ install DESTDIR=../debian/libsocket-wrapper/
+	# generate Lintian override per build host
+	sed -i "s|lib/\(.*\)/lib|lib/${DEB_HOST_GNU_TYPE}/lib|" debian/libsocket-wrapper.lintian-overrides
 	dh_lintian
 	dh_installchangelogs
-	dh_installdocs AUTHORS README TODO
+	dh_installdocs AUTHORS README.md TODO
 	dh_installexamples example/*
 	dh_buildinfo
 	dh_strip
