=== debian/changelog ===
socket-wrapper (1.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 01 Jul 2020 19:44:18 +0200

socket-wrapper (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Switch to short debhelper rules format.
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 16 Apr 2020 19:22:01 +0000
