=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-buildinfo,
  cmake (>= 2.8.8-3~),
  libcmocka-dev (>= 1.0.1),
  asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
 XS-Testsuite: autopkgtest
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 
 Package: libsocket-wrapper
 Architecture: any
