=== debian/tests/control ===
Tests: tests
Depends: libsocket-wrapper,
 build-essential,
 cmake (>= 2.8.8-3~),
 libcmocka-dev (>= 0.4.1),
Restrictions: allow-stderr

Tests: adequate
Depends: libsocket-wrapper, adequate
