=== debian/changelog ===
socket-wrapper (1.3.3-1) unstable; urgency=medium

  * New upstream release (closes: #1008923).
  * Add libsocket_wrapper_noop.so to the binary package.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Oct 2021 18:09:43 +0200
