=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --builddirectory=$(CURDIR)/obj/
+	dh $@  --buildsystem=cmake --builddirectory=$(CURDIR)/obj/
