=== debian/changelog ===
socket-wrapper (1.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Enable unit testing.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 31 Jul 2022 11:05:45 +0200
