=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  dh-buildinfo,
  cmake (>= 2.8.8-3~),
  libcmocka-dev (>= 1.0.1),
- asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
+ asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl,
+ libcmocka-dev <!nocheck>
 XS-Testsuite: autopkgtest
 Standards-Version: 4.6.0
