=== debian/changelog ===
socket-wrapper (1.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Jan 2023 20:51:24 +0100
