=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
  asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl,
  libcmocka-dev <!nocheck>
 XS-Testsuite: autopkgtest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 
 Package: libsocket-wrapper
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: socket wrapper library
  socket_wrapper is a preload library that makes possible to run several
