=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DUNIT_TESTING=1
+
 %:
 	dh $@  --buildsystem=cmake --builddirectory=$(CURDIR)/obj/
+
+.PHONY: override_dh_auto_configure
