=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
pgpsigurlmangle=s/$/.asc/
https://ftp.samba.org/pub/cwrap/ \
socket_wrapper-v?(\d\S*)@ARCHIVE_EXT@
